Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Interface MetaObjectBase

All Known Implementing Classes:
  DefinitionManager, JboException, JboValidatorContext, JboWarning, ObjectTypeHelper

public interface MetaObjectBase

Internal: Applications should not use this class.

Field Summary
`static int` | `TYP_APP_MODULE`
`static int` | `TYP_ATTRIBUTE`
`static int` | `TYP_ATTRIBUTE_LIST_WITH_DEF`
`static int` | `TYP_COMPONENT_OBJECT`
`static int` | `TYP_DEF_ANY`
`static int` | `TYP_DEF_APP_MODULE`
`static int` | `TYP_DEF_ATTRIBUTE`
`static int` | `TYP_DEF_COMPONENT_OBJECT`
`static int` | `TYP_DEF_DOMAIN`
`static int` | `TYP_DEF_ENTITY_ASSOC`
`static int` | `TYP_DEF_ENTITY_OBJECT`
`static int` | `TYP_DEF_PACKAGE`
`static int` | `TYP_DEF_VIEW_LINK`
`static int` | `TYP_DEF_VIEW_OBJECT`
`static int` | `TYP_DOMAIN`
`static int` | `TYP_ENTITY_ASSOC`
`static int` | `TYP_ENTITY_OBJECT`
`static int` | `TYP_ENTITY_ROW`
`static int` | `TYP_ENTITY_ROW_SET`
`static int` | `TYP_ENTITY_ROW_SET_ITERATOR`
`static int` | `TYP_ENTITY_USAGE`
`static int` | `TYP_PACKAGE`
`static int` | `TYP_TRANSACTION`
`static int` | `TYP_VALIDATOR_TYPE`
`static int` | `TYP_VARIABLE`
`static int` | `TYP_VARIABLE_WHERE_CLAUSE`
`static int` | `TYP_VIEW_CRITERIA`
`static int` | `TYP_VIEW_LINK`
`static int` | `TYP_VIEW_OBJECT`
`static int` | `TYP_VIEW_ROW`
`static int` | `TYP_VIEW_ROW_SET`
`static int` | `TYP_VIEW_ROW_SET_ITERATOR`

Field Detail

### TYP_DEF_ANY

    public static final int TYP_DEF_ANY

  See Also:
    Constant Field Values

### TYP_DEF_APP_MODULE

    public static final int TYP_DEF_APP_MODULE

  See Also:
    Constant Field Values

### TYP_DEF_VIEW_OBJECT

    public static final int TYP_DEF_VIEW_OBJECT

  See Also:
    Constant Field Values

### TYP_DEF_VIEW_LINK

    public static final int TYP_DEF_VIEW_LINK

  See Also:
    Constant Field Values

### TYP_DEF_ENTITY_OBJECT

    public static final int TYP_DEF_ENTITY_OBJECT

  See Also:
    Constant Field Values

### TYP_DEF_ENTITY_ASSOC

    public static final int TYP_DEF_ENTITY_ASSOC

  See Also:
    Constant Field Values

### TYP_DEF_ATTRIBUTE

    public static final int TYP_DEF_ATTRIBUTE

  See Also:
    Constant Field Values

### TYP_DEF_DOMAIN

    public static final int TYP_DEF_DOMAIN

  See Also:
    Constant Field Values

### TYP_DEF_COMPONENT_OBJECT

    public static final int TYP_DEF_COMPONENT_OBJECT

  See Also:
    Constant Field Values

### TYP_DEF_PACKAGE

    public static final int TYP_DEF_PACKAGE

  See Also:
    Constant Field Values

### TYP_APP_MODULE

    public static final int TYP_APP_MODULE

  See Also:
    Constant Field Values

### TYP_VIEW_OBJECT

    public static final int TYP_VIEW_OBJECT

  See Also:
    Constant Field Values

### TYP_VIEW_ROW_SET

    public static final int TYP_VIEW_ROW_SET

  See Also:
    Constant Field Values

### TYP_VIEW_ROW_SET_ITERATOR

    public static final int TYP_VIEW_ROW_SET_ITERATOR

  See Also:
    Constant Field Values

### TYP_VIEW_ROW

    public static final int TYP_VIEW_ROW

  See Also:
    Constant Field Values

### TYP_VIEW_LINK

    public static final int TYP_VIEW_LINK

  See Also:
    Constant Field Values

### TYP_ENTITY_OBJECT

    public static final int TYP_ENTITY_OBJECT

  See Also:
    Constant Field Values

### TYP_ENTITY_ROW_SET

    public static final int TYP_ENTITY_ROW_SET

  See Also:
    Constant Field Values

### TYP_ENTITY_ROW_SET_ITERATOR

    public static final int TYP_ENTITY_ROW_SET_ITERATOR

  See Also:
    Constant Field Values

### TYP_ENTITY_ROW

    public static final int TYP_ENTITY_ROW

  See Also:
    Constant Field Values

### TYP_ENTITY_ASSOC

    public static final int TYP_ENTITY_ASSOC

  See Also:
    Constant Field Values

### TYP_ENTITY_USAGE

    public static final int TYP_ENTITY_USAGE

  See Also:
    Constant Field Values

### TYP_ATTRIBUTE

    public static final int TYP_ATTRIBUTE

  See Also:
    Constant Field Values

### TYP_VARIABLE

    public static final int TYP_VARIABLE

  See Also:
    Constant Field Values

### TYP_VARIABLE_WHERE_CLAUSE

    public static final int TYP_VARIABLE_WHERE_CLAUSE

  See Also:
    Constant Field Values

### TYP_DOMAIN

    public static final int TYP_DOMAIN

  See Also:
    Constant Field Values

### TYP_PACKAGE

    public static final int TYP_PACKAGE

  See Also:
    Constant Field Values

### TYP_VALIDATOR_TYPE

    public static final int TYP_VALIDATOR_TYPE

  See Also:
    Constant Field Values

### TYP_COMPONENT_OBJECT

    public static final int TYP_COMPONENT_OBJECT

  See Also:
    Constant Field Values

### TYP_TRANSACTION

    public static final int TYP_TRANSACTION

  See Also:
    Constant Field Values

### TYP_VIEW_CRITERIA

    public static final int TYP_VIEW_CRITERIA

  See Also:
    Constant Field Values

### TYP_ATTRIBUTE_LIST_WITH_DEF

    public static final int TYP_ATTRIBUTE_LIST_WITH_DEF

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.